#include <stdio.h>
#include <stdlib.h>
#include <linux/types.h>
#include <signal.h>
#include <unistd.h>
#include <string.h>

#include "stbplayer.h"

sig_atomic_t is_exit = 0;

void exit_handler (int unused) {
    write (2, "handle SIGINT\n", 20);
    is_exit = 1;
}

int main () {
    struct sigaction sa;
    memset (&sa, 0, sizeof (sa));
    sa.sa_handler = exit_handler;
    sigaction (SIGINT, &sa, NULL);

    HPlayer player;
    if ( (player = STB_CreatePlayer ()) == HANDLE_INVALID) {
        fprintf (stderr, "STB_CreatePlayer() failed\n");
        return EXIT_FAILURE;
    }
    STB_Play(player, "rtp://224.10.0.123:1234");


    while (!is_exit)
        select (1, NULL, NULL, NULL, NULL);

    STB_Stop (player);
    STB_ReleasePlayer (player);

    fprintf (stderr, "exit\n");
    return EXIT_SUCCESS;
}

